<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-641"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20BackgroundTableViewCell%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: BackgroundTableViewCell类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_background_table_view_cell.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="#properties">属性</a> |
<a href="interface_background_table_view_cell-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">BackgroundTableViewCell类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_background_table_view_cell_8h_source.html">BackgroundTableViewCell.h</a>&gt;</code></p>
<div class="dynheader">
类 BackgroundTableViewCell 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_background_table_view_cell.png" usemap="#BackgroundTableViewCell_map" alt=""/>
  <map id="BackgroundTableViewCell_map" name="BackgroundTableViewCell_map">
<area href="interface_k_o_table_view_cell.html" alt="KOTableViewCell" shape="rect" coords="0,56,161,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:aeca391090f628da9eafc1f64e9f54670"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_background_table_view_cell.html#aeca391090f628da9eafc1f64e9f54670">prepareCellForTableView:atIndexPath:</a></td></tr>
<tr class="separator:aeca391090f628da9eafc1f64e9f54670"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aadb68ed27754e33957cffdee9a1204cb"><td class="memItemLeft" align="right" valign="top">(UIImage *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_background_table_view_cell.html#aadb68ed27754e33957cffdee9a1204cb">imageWithName:insets:</a></td></tr>
<tr class="separator:aadb68ed27754e33957cffdee9a1204cb"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:af04f185b09948944be22d537656b5ec6"><td class="memItemLeft" align="right" valign="top">UIImageView *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_background_table_view_cell.html#af04f185b09948944be22d537656b5ec6">imageBackgroundView</a></td></tr>
<tr class="separator:af04f185b09948944be22d537656b5ec6"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aab49b5a685b8f8771681c86145cb7a83"><td class="memItemLeft" align="right" valign="top">UIView *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_background_table_view_cell.html#aab49b5a685b8f8771681c86145cb7a83">container</a></td></tr>
<tr class="memdesc:aab49b5a685b8f8771681c86145cb7a83"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">除去了阴影与圆角相关边距的容器视图  <a href="interface_background_table_view_cell.html#aab49b5a685b8f8771681c86145cb7a83">更多...</a><br/></td></tr>
<tr class="separator:aab49b5a685b8f8771681c86145cb7a83"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="aadb68ed27754e33957cffdee9a1204cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadb68ed27754e33957cffdee9a1204cb">◆&nbsp;</a></span>imageWithName:insets:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIImage *) imageWithName: </td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>imgName</em></td>
        </tr>
        <tr>
          <td class="paramkey">insets:</td>
          <td></td>
          <td class="paramtype">(UIEdgeInsets)&nbsp;</td>
          <td class="paramname"><em>insets</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="aeca391090f628da9eafc1f64e9f54670"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeca391090f628da9eafc1f64e9f54670">◆&nbsp;</a></span>prepareCellForTableView:atIndexPath:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) prepareCellForTableView: </td>
          <td></td>
          <td class="paramtype">(UITableView *)&nbsp;</td>
          <td class="paramname"><em>tableView</em></td>
        </tr>
        <tr>
          <td class="paramkey">atIndexPath:</td>
          <td></td>
          <td class="paramtype">(NSIndexPath *)&nbsp;</td>
          <td class="paramname"><em>indexPath</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="aab49b5a685b8f8771681c86145cb7a83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab49b5a685b8f8771681c86145cb7a83">◆&nbsp;</a></span>container</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIView*) container</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>除去了阴影与圆角相关边距的容器视图 </p>

</div>
</div>
<a id="af04f185b09948944be22d537656b5ec6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af04f185b09948944be22d537656b5ec6">◆&nbsp;</a></span>imageBackgroundView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIImageView*) imageBackgroundView</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/View/<a class="el" href="_background_table_view_cell_8h_source.html">BackgroundTableViewCell.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/View/<a class="el" href="_background_table_view_cell_8m.html">BackgroundTableViewCell.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_background_table_view_cell.html">BackgroundTableViewCell</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>